Qt Cryptographic Architecture: QCA::ConsoleReference Class Reference

Qt Cryptographic Architecture

Public Types | Signals | Public Member Functions | Friends | List of all members
QCA::ConsoleReference Class Reference
QCA user API

`#include <QtCrypto>`

Collaboration diagram for QCA::ConsoleReference:
[legend]

## Public Types
enum | SecurityMode { SecurityDisabled, SecurityEnabled }

## Signals
void | bytesWritten (int bytes)
void | inputClosed ()
void | outputClosed ()
void | readyRead ()

## Public Member Functions
int | bytesAvailable () const
int | bytesToWrite () const
void | closeOutput ()
Console * | console () const
| ConsoleReference (QObject *parent=0)
QByteArray | read (int bytes=-1)
SecureArray | readSecure (int bytes=-1)
SecurityMode | securityMode () const
bool | start (Console *console, SecurityMode mode=SecurityDisabled)
void | stop ()
void | write (const QByteArray &a)
void | writeSecure (const SecureArray &a)

## Friends
class | Console
class | ConsoleReferencePrivate

## Detailed Description

Manager for a Console.

Note
  Only one ConsoleReference object can be active at a time

## Member Enumeration Documentation

## ◆ SecurityMode

enum QCA::ConsoleReference::SecurityMode

The security setting to use for the Console being managed.

## Constructor & Destructor Documentation

## ◆ ConsoleReference()

QCA::ConsoleReference::ConsoleReference | ( | QObject * | parent = `0` | ) |

Standard constructor.

Parameters

  parent | the parent object for this object

## Member Function Documentation

## ◆ start()

bool QCA::ConsoleReference::start | ( | Console * | console,
|  | SecurityMode | mode = `SecurityDisabled`
| ) |  |

Set the Console object to be managed, and start processing.

You typically want to use Console::ttyInstance() or Console::stdioInstance() to obtain the required Console reference.

Parameters

  console | reference to the Console to be managed
  mode | the SecurityMode to use for this Console.

See also
  QCA::Console for more information on how to handle the console aspects of your application or library code.

## ◆ stop()

void QCA::ConsoleReference::stop | ( |  | ) |

Stop processing, and release the Console.

## ◆ console()

Console* QCA::ConsoleReference::console | ( |  | ) | const

The Console object managed by this object.

See also
  start() to set the Console to be managed

## ◆ securityMode()

SecurityMode QCA::ConsoleReference::securityMode | ( |  | ) | const

The security mode setting for the Console object managed by this object.

See also
  start() to set the SecurityMode

## ◆ read()

QByteArray QCA::ConsoleReference::read | ( | int | bytes = `-1` | ) |

Read data from the Console.

Parameters

  bytes | the number of bytes to read. The default is to read all available bytes

See also
  readSecure() for a method suitable for reading sensitive data.

## ◆ write()

void QCA::ConsoleReference::write | ( | const QByteArray & | a | ) |

Write data to the Console.

Parameters

  a | the array of data to write to the Console

See also
  writeSecure() for a method suitable for writing sensitive data.

## ◆ readSecure()

SecureArray QCA::ConsoleReference::readSecure | ( | int | bytes = `-1` | ) |

Read secure data from the Console.

Parameters

  bytes | the number of bytes to read. The default is to read all available bytes

See also
  read() which is suitable for non-sensitive data

## ◆ writeSecure()

void QCA::ConsoleReference::writeSecure | ( | const SecureArray & | a | ) |

Write secure data to the Console.

Parameters

  a | the array of data to write to the Console

See also
  write() which is suitable for non-sensitive data

## ◆ closeOutput()

void QCA::ConsoleReference::closeOutput | ( |  | ) |

Close the write channel.

You only need to call this if writing is enabled on the Console being managed.

## ◆ bytesAvailable()

int QCA::ConsoleReference::bytesAvailable | ( |  | ) | const

The number of bytes available to read from the Console being managed.

## ◆ bytesToWrite()

int QCA::ConsoleReference::bytesToWrite | ( |  | ) | const

The number of bytes remaining to be written to the Console being managed.

## ◆ readyRead

void QCA::ConsoleReference::readyRead | ( |  | ) |
| signal

Emitted when there are bytes available to read from the Console being managed.

## ◆ bytesWritten

void QCA::ConsoleReference::bytesWritten | ( | int | bytes | ) |
| signal

Emitted when bytes are written to the Console.

Parameters

  bytes | the number of bytes that were written

See also
  bytesAvailable()

## ◆ inputClosed

void QCA::ConsoleReference::inputClosed | ( |  | ) |
| signal

Emitted when the console input is closed.

## ◆ outputClosed

void QCA::ConsoleReference::outputClosed | ( |  | ) |
| signal

Emitted when the console output is closed.

The documentation for this class was generated from the following file:

- qca_support.h